/* ---------------------------------------------------------------------------------------- */
/* ---------------------------------------------------------------------------------------- */
/* ------------------------------------------------------------------------------- FLEX --- */

@mixin flex {
  display: flex;
}

/* ------------------------------------------------------------------------------- EVEN --- */

@mixin flex-half($gutter) {
  @include flex;
  @include flex-space;

  & > * {
    width: calc(50% - #{$gutter}px);
  }
}

/* ------------------------------------------------------------------------------ SPACE --- */

@mixin flex-space {
  justify-content: space-between;
}